+ Responder ao Tópico



  1. #1

    Padrão Atualizando iptables

    ola galera. to com um problema aqui com o iptables. e o seguinte to usando o conectiva 9 com o kernel 2.4.x, e versão do iptables 1.2.9.x, uso o seguinte comando
    iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
    echo 1 >/porc/sys/net/ipv4/ip_forward
    para compartilhar a internet e tem as regras do meu firewall junto. no entanto qdo digito o comando ele me retorna
    iptables: ivalid argument
    então retirei as linhas de compatilhamento e so deixei o firewall, então passou sem me retornar erros, fiz o seguinte coloquei em um script so o compartilhamento, e so executei ele pronto ai vem o erro. alguem sabe como corrigir este erro sem compitalar uma nova versão do iptables, pois tentei colocar a versão mais atua, mais infelizmente não consegui. se puderem me ajudar agradeço[size=18px][/size]

  2. #2

    Padrão Atualizando iptables

    versao do iptables e do kernel tem que andar juntas.

    a parte userland e kernel do iptables tem que ser a mesma senao da essas broncas, o conectiva lancou um update do kernel+iptables, se voce na otiver os 2 da essa bronca mesmo, na pior da hipoteses pegue uma versao do iptables e compile o kernel com suporte a mesma que voce baixou.. ou entao faca um downgrade para o kernel anterior e a versao do iptables anterior a qual funcionava tudo ok, mas esse nao eh o caso, nao parece uma situacao emergencial



  3. #3

    Padrão Atualizando iptables

    então tentei compilar o kernel mais não consegui tem como eu resolver sem ter que compila-lo o se tiver que compila-lo por favor se voce tiver algum script ou sober de algum site bom que de resultado por favor me avisem :?:

  4. #4

    Padrão Atualizando iptables

    nunca ouvi falar de um script pra cmpilar o kernel pra vc, ateh pq eh vc q tem q selecionar o seu hardware nele..... agora howto ta cheio aki no site
    ou peque aki
    www.tldp.org



  5. #5
    spider
    Visitante

    Padrão Atualizando iptables

    olá... pessoal, eu estou com o mesmo problema no iptables e no CL9, utilizo a mesma versão do iptables....., ja tentei dar um "rpm -e iptables", depois "apt-get update", e "apt-get install iptables" .. mas num dianta vem a mesma versão e continua com o mesmo pau... e no "man iptables", ele fala q posso usar o MASQUERADE normal... num to entendendo, alguem tem alguma versão de iptables q funfe com o kernel do CL9 ????? mandem o nome da versão do iptables, ai deve ser só desinstalar o q ta lá e por a outra e boa... PLEASE... ajudem!!!!